using Godot;
using System.Collections;
using System.Collections.Generic;
using Godot.Collections;

namespace Rokojori
{
  [GlobalClass,Tool]
  public partial class SetState:Action
  {
    [Export]
    public EatDaRichGame.State state;

    protected override void _OnTrigger()
    {
      var edr = Unique<EatDaRichGame>.Get();
      edr.SetState( state );
    }


  }
}